Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking
Interface DockingConstants

All Known Subinterfaces:
  DragPreview

All Known Implementing Classes:
  ActiveDockableListener, AlphaPreview, BasicDockablePropertySet, BasicDockingPortPropertySet, DefaultDockingPort, DefaultDockingStrategy, DefaultPreview, DefaultRegionChecker, DockableNode, DockbarEvent, DockbarTracker, DockingEvent, DockingFrame, DockingManager, DockingNode, DockingPath, DockingPortNode, DockingSplitPane, DockingState, DockingUtility, DragGlasspane, DragOperation, Event, FloatingDockingPort, GhostPreview, LayoutEvent, LayoutSequence, PerspectiveEvent, PointHandler, RegistrationEvent, RegistrationEvent, RootDockablePropertySet, RootDockingPortPropertySet, ScopedDockablePropertySet, ScopedDockingPortPropertySet, SlideoutBorder, SplitNode, UnknownStateHandler, View, Viewport, ViewProps, XORPreview

    public interface DockingConstants

A collection of constants used by flexdock.

Author:
  Christopher Butler

Field Summary
`static String` | `ACTIVE_WINDOW` The property name for handling window activation changes.
`static int` | `BOTTOM` Box-orientation constant used to specify the bottom of a box.
`static int` | `CENTER` The central position in an area.
`static String` | `CENTER_REGION` The central region.
`static String` | `CLOSE_ACTION` A constant representing a "close" action.
`static String` | `DEFAULT_PERSISTENCE_KEY` A system key whose value is a fully-qualified class name that is used to create a persistence class for storing or loading persisted perspectives.
`static String` | `DOCKING_ID`
`static String` | `EAST_REGION` The east region.
`static String` | `HEAVYWEIGHT_DOCKABLES` A constant for enabling/disabling heavyweight dockables.
`static int` | `HORIZONTAL` Horizontal split indicates the `Component`s are split along the x axis.
`static int` | `LEFT` Box-orientation constant used to specify the left side of a box.
`static String` | `MOUSE_PRESSED`
`static String` | `NORTH_REGION` The north region.
`static String` | `PERMANENT_FOCUS_OWNER`
`static String` | `PIN_ACTION` A constant representing a "pin/unpin" action.
`static String` | `REGION` A constant representing the "region" property used when a `Dockable` region has been changed.
`static int` | `RIGHT` Box-orientation constant used to specify the right side of a box.
`static String` | `SOUTH_REGION` The south region.
`static int` | `TOP` Box-orientation constant used to specify the top of a box.
`static int` | `UNINITIALIZED` A constant for "initializing" an `int` to a safe (ie unusable value).
`static float` | `UNINITIALIZED_RATIO` A constant for "initializing" an `float` to a safe (ie unusable value).
`static String` | `UNKNOWN_REGION` An unknown region.
`static float` | `UNSPECIFIED_SIBLING_PREF` Used when a sibling does not specify a size preference when docking relative to another dockable.
`static int` | `VERTICAL` Vertical split indicates the `Component`s are split along the y axis.
`static String` | `WEST_REGION` The west region.

Field Detail

### DOCKING_ID

    static final String DOCKING_ID

See Also:
  Constant Field Values

### UNSPECIFIED_SIBLING_PREF

    static final float UNSPECIFIED_SIBLING_PREF

  Used when a sibling does not specify a size preference when docking relative to another dockable.

  See Also:
    Constant Field Values

### UNINITIALIZED

    static final int UNINITIALIZED

  A constant for "initializing" an `int` to a safe (ie unusable value).

  See Also:
    Constant Field Values

### UNINITIALIZED_RATIO

    static final float UNINITIALIZED_RATIO

  A constant for "initializing" an `float` to a safe (ie unusable value).

  See Also:
    Constant Field Values

### PERMANENT_FOCUS_OWNER

    static final String PERMANENT_FOCUS_OWNER

See Also:
  Constant Field Values

### ACTIVE_WINDOW

    static final String ACTIVE_WINDOW

  The property name for handling window activation changes.

  See Also:
    `PropertyChangeListener`, `Dockable.addPropertyChangeListener(java.beans.PropertyChangeListener)`, Constant Field Values

### MOUSE_PRESSED

    static final String MOUSE_PRESSED

See Also:
  Constant Field Values

### PIN_ACTION

    static final String PIN_ACTION

  A constant representing a "pin/unpin" action. Such actions are added to title bars to enable the pinning/unpinning effect. This is also used as the name for the property when a `Dockable` has been pinned/unpinned.

  See Also:
    `PropertyChangeListener`, `Dockable.addPropertyChangeListener(java.beans.PropertyChangeListener)`, `Titlebar`, Constant Field Values

### CLOSE_ACTION

    static final String CLOSE_ACTION

  A constant representing a "close" action. Such actions are added to title bars to enable the close effect.

  See Also:
    `Titlebar`, Constant Field Values

### TOP

    static final int TOP

  Box-orientation constant used to specify the top of a box.

  See Also:
    `SwingConstants.TOP`, Constant Field Values

### LEFT

    static final int LEFT

  Box-orientation constant used to specify the left side of a box.

  See Also:
    `SwingConstants.LEFT`, Constant Field Values

### BOTTOM

    static final int BOTTOM

  Box-orientation constant used to specify the bottom of a box.

  See Also:
    `SwingConstants.BOTTOM`, Constant Field Values

### RIGHT

    static final int RIGHT

  Box-orientation constant used to specify the right side of a box.

  See Also:
    `SwingConstants.RIGHT`, Constant Field Values

### CENTER

    static final int CENTER

  The central position in an area. Used for both compass-direction constants (NORTH, etc.).

  See Also:
    `SwingConstants.CENTER`, Constant Field Values

### HORIZONTAL

    static final int HORIZONTAL

  Horizontal split indicates the `Component`s are split along the x axis. For example the two `Component`s will be split one to the left of the other.

  See Also:
    `JSplitPane.HORIZONTAL_SPLIT`, Constant Field Values

### VERTICAL

    static final int VERTICAL

  Vertical split indicates the `Component`s are split along the y axis. For example the two `Component`s will be split one on top of the other.

  See Also:
    `JSplitPane.VERTICAL_SPLIT`, Constant Field Values

### REGION

    static final String REGION

  A constant representing the "region" property used when a `Dockable` region has been changed.

  See Also:
    `PropertyChangeListener`, `Dockable.addPropertyChangeListener(java.beans.PropertyChangeListener)`, Constant Field Values

### CENTER_REGION

    static final String CENTER_REGION

  The central region. The regional equivalent for CENTER.

  See Also:
    `CENTER`, Constant Field Values

### EAST_REGION

    static final String EAST_REGION

  The east region. The regional equivalent for RIGHT.

  See Also:
    `RIGHT`, Constant Field Values

### NORTH_REGION

    static final String NORTH_REGION

  The north region. The regional equivalent for TOP.

  See Also:
    `TOP`, Constant Field Values

### SOUTH_REGION

    static final String SOUTH_REGION

  The south region. The regional equivalent for BOTTOM.

  See Also:
    `BOTTOM`, Constant Field Values

### WEST_REGION

    static final String WEST_REGION

  The west region. The regional equivalent for LEFT.

  See Also:
    `LEFT`, Constant Field Values

### UNKNOWN_REGION

    static final String UNKNOWN_REGION

  An unknown region. This constant is typically used to initialize regions.

  See Also:
    Constant Field Values

### HEAVYWEIGHT_DOCKABLES

    static final String HEAVYWEIGHT_DOCKABLES

  A constant for enabling/disabling heavyweight dockables. If a system property exists with this constant as a key and "true" as the value, then heavyweight dockables are enabled.

  See Also:
    Constant Field Values

### DEFAULT_PERSISTENCE_KEY

    static final String DEFAULT_PERSISTENCE_KEY

  A system key whose value is a fully-qualified class name that is used to create a persistence class for storing or loading persisted perspectives.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD